Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511209 - Unneeded source files are in the SRPM.
Summary: Unneeded source files are in the SRPM.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kmod-kvdo
Version: 7.6-Alt
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Thomas Jaskiewicz
QA Contact: Jakub Krysl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 22:17 UTC by Thomas Jaskiewicz
Modified: 2018-02-20 18:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-20 18:13:47 UTC


Attachments (Terms of Use)

Description Thomas Jaskiewicz 2017-11-08 22:17:28 UTC
Description of problem:
UDS is shipping test code that should remain internal to Red Hat.  This was brought to our attention by the files doryIORegion.h and doryIORegion.c.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
doryIORegion.c and doryIORegion.h and other unneccesary files are part of the SRPM.

Expected results:
Those files are not in the SRPM.


Additional info:

Comment 2 Andy Walsh 2017-11-17 22:40:06 UTC
Can you please qa_ack this ticket?  This should really only affect the SRPM and the contents, and not the functionality of the software.

Thanks,
-Andy

Comment 4 Thomas Jaskiewicz 2017-11-22 00:53:48 UTC
Yes there are other unnecessary files.  These have already been removed from the UDS release:

doryIORegion.c
doryIORegion.h
statistic.c
statistic.h

There are a few other files that I am working on removing.

Comment 5 Jakub Krysl 2017-11-22 08:21:49 UTC
Thanks Thomas. Please provide complete list when pushing to Errata so I can check correctly.

Comment 6 Andy Walsh 2018-02-20 18:13:47 UTC
Closing this bug, as there is no further activity needed.


Note You need to log in before you can comment on or make changes to this bug.